;-| ボタン配置 |------------------------------------------------
[Remap] 
           ;ボール有　　　  ||ボール無
x = x      ;パス            ||アーマー攻撃
y = y      ;トス            ||トラップ可能攻撃　　　
z = z      ;　　　　　　　未使用
a = a      ;　　　　　　　特殊系　　　　
b = b      ;           　シュート　　　　　　　　　
c = c      ;必殺パス　　　　||　　　　　
s = s      ;挑発　　　　　  ||

;AI用
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
;------------------------------------------------------------------------------
;-| 超必殺技 |-----------------------------------------------------------------

;※名前が同じならば、違うコマンドでも同じステートの技を出す事が可能。

[Command]
name = "ごっどはんど_x"
command = ~D, DF, F, x
time = 20

[Command]
name = "ごっどはんど上"
command = ~D, DB, B, x
time = 20

[Command]
name = "カウンターシュート"
command = ~D, DB, B, b
time = 20

[Command]
name = "フラッシュシュート"
command = ~B, DB, D, DF, F, x
time = 20

[Command]
name = "フィニッシュシュート"
command = ~B, DB, D, DF, F, b
time = 20

[Command]
name = "キャプ翼イリュージョン"
command = ~B, DB, D, DF, F, a
time = 20

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------

[Command]
name = "華麗なドリブル"
command = ~D, D, x

[Command]
name = "強引なドリブル"
command = ~D, D, y

[Command]
name = "スクリュウガード"
command = ~D, D, x+y

[Command]
name = "/b"
command = /b

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------

[Command]
name = "FF"       ;必須コマンド名
command = F, F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B, B
time = 10

[Command]
name = "UU"       
command = U, U
time = 10


;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------

[Command]
name = "recovery" ;必須コマンド名
command = x+y
time = 1

[Command]
name = "アクセルスピン"
command = x+y
time = 10

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "back"  
command = B
time = 1

[command]
name="fwd"
command=F
time=1

[command]
name="back"
command=B
time=1

[command]
name="up"
command=U
time=1

[command]
name="down"
command=D
time=1
;------------------------------------------------------------------------------
;-| 方向キー |-----------------------------------------------------------------

[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1


[Statedef -1] ;←この行は絶対に消さないでね。必須項目です。

[State -1, ChangeState]
type = ChangeState
trigger1 = helper(12000),stateno = 12101
trigger1 = helper(12000),time < 4
trigger1 = helper(12000),pos y <-50
trigger1 = statetype != A
trigger1 = stateno != 901
value = 901
ctrl = 0

[State -1, ChangeState]
type = ChangeState
trigger1 = helper(12000),stateno = 12101
trigger1 = helper(12000),time < 4
trigger1 = helper(12000),pos y >= -50
trigger1 = statetype != A
trigger1 = stateno != 903
value = 903
ctrl = 0

[State -1, ChangeState]
type = ChangeState
trigger1 = helper(12000),stateno = 12101
trigger1 = helper(12000),time < 4
trigger1 = statetype = A
trigger1 = stateno != 905
value = 905
ctrl = 0

;---------------------------------------------------------------------------
;空中ダッシュ
[State -1, 空中ダッシュ]
type = ChangeState
value = 110
Triggerall = var(59) = 0
triggerall = var(11) = 0
trigger1 = command = "FF"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = Pos Y < -30

;---------------------------------------------------------------------------
;空中バックダッシュ
[State -1, 空中バックダッシュ]
type = ChangeState
value = 115
Triggerall = var(59) = 0
triggerall = var(11) = 0
trigger1 = command = "BB"
trigger1 = statetype = A
trigger1 = ctrl
trigger1 = Pos Y < -30

;---------------------------------------------------------------------------
;空中回避（ボールキープ中）
[State -1, 空中回避]
type = ChangeState
value = 1300
Triggerall = var(59) = 0
Triggerall = var(20) = 1
triggerall = var(12) = 0
trigger1 = command = "UU"
trigger1 = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------
;==============================================================================
; 超必殺技
;==============================================================================
;フィニッシュシュート（ボール有）
[State -1,キャプ翼イリュージョン]
type = ChangeState
value = 3700
Triggerall = var(59) = 0
triggerall = command = "キャプ翼イリュージョン"
triggerall = statetype != A
triggerall = power >= 5000
triggerall = var(20) = 1
trigger1 = ctrl

;フィニッシュシュート（ボール有）
[State -1,フィニッシュシュート]
type = ChangeState
value = 3500
Triggerall = var(59) = 0
triggerall = command = "フィニッシュシュート"
triggerall = power >= 2000
triggerall = var(20) = 1
trigger1 = ctrl

;前方ごっどはんど（ボール無）
[State -1,前方ごっどはんど_x]
type = ChangeState
value = 3000
Triggerall = var(59) = 0
triggerall = command = "ごっどはんど_x"  
triggerall = power >= 1000            
triggerall = statetype != A
triggerall = var(20) != 1
trigger1 = ctrl                    

;上方ごっどはんど（ボール無）
[State -1,ごっどはんど上]
type = ChangeState
value = 3011
Triggerall = var(59) = 0
triggerall = command = "ごっどはんど上"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(20) != 1
trigger1 = ctrl

;空中ごっどはんど（ボール無）
[State -1,空中ごっどはんど]
type = ChangeState
value = 3005
Triggerall = var(59) = 0
triggerall = command = "ごっどはんど_x"
triggerall = power >= 1000
triggerall = statetype = A
triggerall = var(20) != 1
trigger1 = ctrl

;カウンターシュート（ボール無）
[State -1,カウンターシュート]
type = ChangeState
value = 3200
Triggerall = var(59) = 0
triggerall = command = "カウンターシュート"
triggerall = statetype != A
triggerall = var(20) != 1
trigger1 = power >= 1000
trigger1 = ctrl

;空中カウンターシュート（ボール無）
[State -1,空中カウンターシュート]
type = ChangeState
value = 3210
Triggerall = var(59) = 0
triggerall = command = "カウンターシュート"
triggerall = statetype = A
triggerall = var(20) != 1
trigger1 = power >= 1000
trigger1 = ctrl

;フィニッシュシュート（ボール有）
[State -1,フィニッシュシュート]
type = ChangeState
value = 3350
Triggerall = var(59) = 0
triggerall = command = "フラッシュシュート"
triggerall = statetype != A
triggerall = power >= 3000
triggerall = var(20) = 1
trigger1 = ctrl

;---------------------------------------------------------
;ダッシュアクセルスピン（ボール無）
[State -1, ダッシュアクセルスピン]
type = ChangeState
value = 1053
Triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "アクセルスピン"
triggerall = var(20) != 1
trigger1 = stateno = [100,101]

;前方アクセルスピン（ボールフリー中）
[State -1, 前方アクセルスピン]
type = ChangeState
value = 1051
Triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "アクセルスピン"
triggerall = command = "holdfwd"
trigger1 = var(20) != 1
trigger1 = Ctrl

;後方アクセルスピン（ボールフリー中）
[State -1, 後方アクセルスピン]
type = ChangeState
value = 1052
Triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "アクセルスピン"
triggerall = command = "holdback"
trigger1 = var(20) != 1
trigger1 = Ctrl

;アクセルスピン（ボールフリー中）
[State -1, アクセルスピン]
type = ChangeState
value = 1050
Triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "アクセルスピン"
trigger1 = var(20) != 1
trigger1 = Ctrl

;------------------------------------------------------------------------------
;スクリュウガード（ボール有）
[State -1, スクリュウガード]
type = ChangeState
value = 1120
Triggerall = var(59) = 0
triggerall = command = "スクリュウガード"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(20) = 1

;フェイントドリブル（ボールキープ中）
[State -1, フェイントドリブル]
type = ChangeState
value = 1100
Triggerall = var(59) = 0
triggerall = command = "華麗なドリブル"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(20) = 1

;強引なドリブル（ボールキープ中）
[State -1, 強引なドリブル]
type = ChangeState
value = 1110
Triggerall = var(59) = 0
triggerall = command = "強引なドリブル"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(20) = 1

;------------------------------------------------------------------------------
; 爆裂キック（ボール無）着地orダウン復帰
[State -1, 爆裂キック]
type = ChangeState
value = 1000
Triggerall = var(59) = 0
triggerall = command = "x"
triggerall = var(20) != 1
trigger1 = stateno = 52
trigger2 = stateno = 5120
trigger2 = animelemtime(6) >= 0
trigger3 = stateno = 1060
trigger3 = animelemtime(2) >= 0 && animelemtime(6) < 0

; 爆裂キック（ボール無）着地orダウン復帰２
[State -1, 爆裂キック]
type = ChangeState
value = 1010
Triggerall = var(59) = 0
triggerall = command = "y"
triggerall = var(20) != 1
trigger1 = stateno = 52
trigger2 = stateno = 5120
trigger2 = animelemtime(6) >= 0
trigger3 = stateno = 1060
trigger3 = animelemtime(2) >= 0 && animelemtime(6) < 0

;------------------------------------------------------------------------------
;空中オーバーヘッドキック（ボール無）
[State -1, 空中オーバーヘッドキック]
type = ChangeState
value = 1200
Triggerall = var(59) = 0
triggerall = command = "holdback"
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = Statetype = A
trigger1 = ctrl
trigger1 = var(20) != 1

;オーバーヘッドキック
[State -1, オーバーヘッドキック]
type = ChangeState
value = 1220
Triggerall = var(59) = 0
triggerall = command = "holdback"
triggerall = command = "holddown"
triggerall = command = "b"
triggerall = Statetype != A
trigger1 = ctrl
trigger1 = var(20) != 1

;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 走る]
type = ChangeState
value = 100
Triggerall = var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, バックステップ]
type = ChangeState
value = 105
Triggerall = var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;==============================================================================
; 投げ技（ボール無）
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 投げ]
type = ChangeState
value = 800
Triggerall = var(59) = 0
triggerall = command ="y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = var(20) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist x =[0,15]


[State -1, 投げ 裏]
type = ChangeState
value = 801
Triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = var(20) = 0
trigger1 = command = "holdback"
trigger1 = p2bodydist X =[0,15]

[State -1, 投げ 空中]
type = ChangeState
value = 850
Triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype = A
triggerall = ctrl
trigger1 = var(20) = 0
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = p2bodydist X =[0,15]
trigger1 = pos y <= 45
;------------------------------------------------------------------------------

;==============================================================================
; 通常攻撃技
;==============================================================================
;------------------------------------------------------------------------------
;立ちアクション
;（ボール無）
[State -1, 立ちチャージング]
type = ChangeState
value = 200
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;（ボール無）
[State -1, 立ちスライディング]
type = ChangeState
value = 240
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;（ボール無）
[State -1, 立ち足元チェック]
type = ChangeState
value = 210
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;（ボール有）
[State -1, 立ちパス]
type = ChangeState
value = 300
Triggerall = var(59) = 0
triggerall = var(20) != 0
triggerall = command = "x"
trigger1 = statetype != A
trigger1 = ctrl

;（ボール有）
[State -1, 立ちシュート]
type = ChangeState
value = 310
Triggerall = var(59) = 0
triggerall = var(20) = 1
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;（ボール有）
[State -1, 屈みシュート]
type = ChangeState
value = 330
Triggerall = var(59) = 0
triggerall = var(20) = 1
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;（ボール無）
[State -1, 立ちシュート]
type = ChangeState
value = 350
Triggerall = var(59) = 0
triggerall = var(20) != 1
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;（ボール有）
[State -1, 立ちリフトorシュート]
type = ChangeState
value = ifelse(var(20)=2,350,399)
Triggerall = var(59) = 0
triggerall = var(20) != 0
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl


;------------------------------------------------------------------------------

[State -1, 挑発]
type = ChangeState
value = 195
Triggerall = var(59) = 0
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------
;屈みアクション
;（ボール無）
[State -1, 屈みチャージング]
type = ChangeState
value = 400
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;（ボール無）
[State -1, 屈みスライディング]
type = ChangeState
value = 440
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
triggerall = command = "holdfwd"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;（ボール無）
[State -1, 屈み足元チェック]
type = ChangeState
value = 410
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;（ボール無）
[State -1, 屈みシュート]
type = ChangeState
value = 550
Triggerall = var(59) = 0
triggerall = var(20) != 1
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;（ボール有）
[State -1, 屈みリフト]
type = ChangeState
value = ifelse(var(20)=2,550,599)
Triggerall = var(59) = 0
triggerall = var(20) != 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl


;------------------------------------------------------------------------------
;空中アクション
;（ボール無）
[State -1, ジャンプチャージング]
type = ChangeState
value = 600
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール無）
[State -1, ジャンプブロック]
type = ChangeState
value = 610
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
triggerall = command = "holdfwd"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール無）
[State -1, ジャンプブロック２]
type = ChangeState
value = 640
Triggerall = var(59) = 0
triggerall = var(20) = 0
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール無）
[State -1, ジャンプシュート]
type = ChangeState
value = 750
Triggerall = var(59) = 0
triggerall = var(20) != 1
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール有）
[State -1, ジャンプパス]
type = ChangeState
value = 720
Triggerall = var(59) = 0
triggerall = var(20) != 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール有）
[State -1, ジャンプシュート]
type = ChangeState
value = 750
Triggerall = var(59) = 0
triggerall = var(20) = 1
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール有）
[State -1, ジャンプシュート]
type = ChangeState
value = ifelse(var(20)=2,750,799)
Triggerall = var(59) = 0
triggerall = var(20) != 0
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;（ボール無）
[State -1, VarAdd トラップ用]
type = VarAdd
Triggerall = var(59) = 0
trigger1 = roundstate = 2
trigger1 = var(20) != 1
trigger1 = command = "a"
v = 22
value = 1

;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
